Page MenuHomePhabricator

Proposal: Hackathon 2018 in UAB, Barcelona
Closed, ResolvedPublic

Tokens
"Like" token, awarded by Elitre."Like" token, awarded by D3r1ck01."Baby Tequila" token, awarded by Omar_sansi."Love" token, awarded by CKoerner_WMF."Pterodactyl" token, awarded by Rfarrand."Love" token, awarded by hashar.
Assigned To
Authored By
Toniher, Apr 12 2017

Description

Amical Wikimedia in collaboration with Universitat Autònoma de Barcelona (UAB) would be interested in hosting the 2018 European Hackathon. As a mature thematic organization and part of the Wikimedia community, preparing such an event is an excellent chance to engage with the rest of the global movement. Moreover, Wikimedia, and particularly, Wikiedu projects, have already a firm foothold in UAB faculties. Hereby you will find some examples:

Regarding technical contributions, we consider that we are still too far from what we think our local milieu could offer. For that reason, we think that this event would be an excellent opportunity to shrink this gap.

Location and venue

Universitat Autònoma de Barcelona (UAB) (http://uab.cat) is a young university by European standards. Coincidentally, during 2018 it will celebrate its 50th anniversary. Its main campus is in Bellaterra, around 25 km from Barcelona city center, just behind Collserola mountains. The campus is not inside any urban area, but very close to several main towns, such as Cerdanyola del Vallès, Sabadell or Sant Cugat. It can be easily reached by different transportation means from Barcelona city and its airport both during daylight and at night.

The main venue that would host most of the activities would be UAB Engineering School (http://www.uab.cat/enginyeria/). We will take advantage of this location for attracting potential student contributors. Plenary talks on Friday might take place in a nearby faculty in order to accommodate a higher amount of attendees.

There is a hotel and a residential area in the same campus where we would try to allocate all participants if possible, otherwise we would recur to additional hotels in nearby towns. Despite the event venue and the main hotel are at a walking distance, we would try to provide night shuttle buses if night-long hacking marathons are to take place in the faculty.

As a university campus, there is a good Internet bandwidth. A default a WiFi guest connection is provided for all visitors and we would negotiate to ensure specific WiFi connections for the event from the Faculty and the hotel.

Further information:

Dates

We are exploring the best compatible dates first with the faculty and then with the hotel. We would provide them here soon.

Costs

UAB would take care of the costs of the venue and Internet apart from additional expenses that may be associated to opening the faculty during night and non-working days.

So far, the tentative costs we have from the hotel.

Double room: around 40 EUR per person.

Catering, meals: in progress...

Team

In progress...

Below what we could regard as the core team, a couple of them (Oriol and Constantino) are actually working at the campus.

Toni Hermoso (@Toniher), Oriol Vicente, Esther Solé (@ESM), Lluis Madurell (@Lluis_tgn), Constantino, etc.

... other Amical volunteers ...

We are likely to hire the services of UAB Campus Agency for aspects such as visas, travel arrangements, etc. We would discuss with them about the event and we would ask for a detailed budget.

Other partners and sponsors

In progress...

Event Timeline

Toniher created this task.Apr 12 2017, 9:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2017, 9:11 PM
Toniher updated the task description. (Show Details)Apr 12 2017, 9:11 PM
ESM updated the task description. (Show Details)Apr 13 2017, 11:05 AM
KRLS added a subscriber: KRLS.Apr 14 2017, 5:14 PM
Qgil triaged this task as Normal priority.
Qgil assigned this task to Rfarrand.
Qgil added a subscriber: Qgil.

Thank you very much for this proposal. Sorry for the delay processing, Rachel and I were both on vacation.

I have advertised your bid at wikitech-l.

According to https://www.mediawiki.org/wiki/Hackathons/Proposing_a_hackathon#Selection_process, a review phase of 30 days starts now.

For context, this is the only proposal we have received to organize the Wikimedia Hackathon 2018.

revi added a subscriber: revi.Apr 20 2017, 10:28 AM

Thanks for submitting this proposal!
A university campus should be a very suitable place for a hackathon. I guess the hotel is http://booking.com/b262757810d17135 ?

A good internet connection for all participants is important. What I would expect on a university (based on my experience in the Netherlands):

  • 10(+) Gbit/sec uplink to the NREN (national research network) for internet access
  • barely or no filtering of traffic (developers like to use non-standard protocols), but probably a bit of throttling/traffic shaping for certain kind of traffic (kids, please download at home)
  • solid campus network infrastructure
  • enough wireless coverage to be able to handle full classrooms of people with on average 2 devices (phone + laptop)

Is it like this on the UAB?

I see the UAB offers Computer Science. Do they have their own student society? Would be a good way to get new people involved.

Thanks Multichill,

Thanks for submitting this proposal!
A university campus should be a very suitable place for a hackathon. I guess the hotel is http://booking.com/b262757810d17135 ?

Yes. That's the hotel. http://www.hotelcampusuab.com/ As soon as we start working with some dates, we would start asking availability. We would like to fit everyone there if possible.

A good internet connection for all participants is important. What I would expect on a university (based on my experience in the Netherlands):

  • 10(+) Gbit/sec uplink to the NREN (national research network) for internet access
  • barely or no filtering of traffic (developers like to use non-standard protocols), but probably a bit of throttling/traffic shaping for certain kind of traffic (kids, please download at home)
  • solid campus network infrastructure
  • enough wireless coverage to be able to handle full classrooms of people with on average 2 devices (phone + laptop) Is it like this on the UAB?

Base connection should be good, since UAB is part of 'Anella Científica' : http://www.csuc.cat/en/communications/anella-cientifica
which is connected at the same time with the Spanish scientific network (RedIRIS): http://www.csuc.cat/ca/novetat/l-anella-cientifica-es-connecta-a-rediris-nova

I would dare to say that having different devices connected will not be a problem, but we will need to check specially about non-standard ports. We would try to provide specific SSIDs for the conference. These issues will be discussed with IT services.

I see the UAB offers Computer Science. Do they have their own student society? Would be a good way to get new people involved.

I agree. We hope to engage many students from there. I'll investigate myself if there is any active student organisation. We already know some teachers there as well.

Next Monday morning (15th May) I'll join Oriol Vicente to visit UAB Engineering School. We would try to take some photos of the venue and candidate rooms.

@Toniher how did the meeting go? :)

Also @Toniher are you willing to give a quick overview of the plan for Barcelona on stage at the closing of the Vienna Hackathon? It can be as formal or informal as you like.

Hi @Rfarrand , all, yesterday we met at UAB School of Engineering with Daniel Franco and Antonio Espinosa from the school Government body (http://www.uab.cat/web/l-escola/govern-de-l-escola-1345658411557.html) They shared with us their huge interest in the event and their willingness to make it a success and facilitate it can have a great impact in the university environment and beyond. We already discussed some details and proposals. I would discuss with you this week in person how we can start arranging them in the best possible way.
Oriol is also a starting a conversation with Arts and Humanities Faculty (http://www.uab.cat/lletres/), less than 10 min from Engineering School on foot. Our initial idea would be hosting Friday events there, more conference-based, and Saturday and Sunday hackathon-focused activities being hosted at Engineering School.
I took some photos trying to emphasize on the room needs: https://www.flickr.com/photos/toniher/albums/72157680708475604 I hope this can help you having a better idea of the different venues.

Also @Toniher are you willing to give a quick overview of the plan for Barcelona on stage at the closing of the Vienna Hackathon? It can be as formal or informal as you like.

Sure, no problem. I would try to provide in a slides-fashion the main information points already included in this thread.

Proposal was accepted and announced at the closing of the 2017 hackathon in Vienna. I think this task can be closed.

binbot added a subscriber: binbot.Jun 14 2017, 9:07 PM
D3r1ck01 added a subscriber: D3r1ck01.
Elitre added a subscriber: Elitre.

@Rfarrand : Proposal was accepted so I would assume this one should be closed. Why did you move this to another board? Isn't it better to file new tasks for specific tasks that need to be done?

@Toniher do you mind if I close this task and we continue discussions here:
https://phabricator.wikimedia.org/tag/wikimedia-hackathon-2018-organization/

With new tasks? I will wait for you to advise / comment before closing.

Qgil closed this task as Resolved.Jul 14 2017, 2:43 PM

It looks like this task has run its course. New conversations and work will start elsewhere.